Bug 1011153 - [abrt] pulseaudio-4.0-3.gitbf9b3.fc20: signal_handler: Process /usr/bin/pulseaudio was killed by signal 6 (SIGABRT)
[abrt] pulseaudio-4.0-3.gitbf9b3.fc20: signal_handler: Process /usr/bin/pulse...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
abrt_hash:03bca3ead154a28ddc133ac58d3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-23 12:58 EDT by Mathieu Bridon
Modified: 2015-06-29 08:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:26:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (45.42 KB, text/plain)
2013-09-23 12:58 EDT, Mathieu Bridon
no flags Details
File: cgroup (159 bytes, text/plain)
2013-09-23 12:58 EDT, Mathieu Bridon
no flags Details
File: core_backtrace (11.43 KB, text/plain)
2013-09-23 12:58 EDT, Mathieu Bridon
no flags Details
File: dso_list (7.63 KB, text/plain)
2013-09-23 12:58 EDT, Mathieu Bridon
no flags Details
File: environ (1.17 KB, text/plain)
2013-09-23 12:58 EDT, Mathieu Bridon
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-23 12:58 EDT, Mathieu Bridon
no flags Details
File: maps (35.90 KB, text/plain)
2013-09-23 12:58 EDT, Mathieu Bridon
no flags Details
File: open_fds (2.45 KB, text/plain)
2013-09-23 12:58 EDT, Mathieu Bridon
no flags Details
File: proc_pid_status (939 bytes, text/plain)
2013-09-23 12:58 EDT, Mathieu Bridon
no flags Details

  None (edit)
Description Mathieu Bridon 2013-09-23 12:58:11 EDT
Description of problem:
I was watching a movie, and after more or less 10 minutes, the computer completely froze.

Waiting a bit, I was suddenly back in my GNOME session, Totem had crashed, probably because of this pulseaudio crash.

I can reproduce it consistantly, after about 10 minutes of movie watching, the computer freezes completely, sometimes leading to this crash, sometimes I have to hard reboot.

After one of the crashes, I caught a message in TTY1 about pulseaudio getting OOM killed.

Version-Release number of selected component:
pulseaudio-4.0-3.gitbf9b3.fc20

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/bin/pulseaudio --start
crash_function: signal_handler
executable:     /usr/bin/pulseaudio
kernel:         3.11.1-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 signal_handler at pulsecore/memtrap.c:108
 #4 pa_sconv_s16le_from_float32ne at pulsecore/sconv-s16le.c:127
 #5 convert_to_work_format at pulsecore/resampler.c:1046
 #6 pa_resampler_run at pulsecore/resampler.c:1212
 #7 pa_sink_input_peek at pulsecore/sink-input.c:982
 #8 fill_mix_info at pulsecore/sink.c:1013
 #9 pa_sink_render_into at pulsecore/sink.c:1253
 #10 pa_sink_render_into_full at pulsecore/sink.c:1337
 #11 mmap_write at modules/alsa/alsa-sink.c:646
 #12 thread_func at modules/alsa/alsa-sink.c:1725
Comment 1 Mathieu Bridon 2013-09-23 12:58:16 EDT
Created attachment 801789 [details]
File: backtrace
Comment 2 Mathieu Bridon 2013-09-23 12:58:19 EDT
Created attachment 801790 [details]
File: cgroup
Comment 3 Mathieu Bridon 2013-09-23 12:58:23 EDT
Created attachment 801791 [details]
File: core_backtrace
Comment 4 Mathieu Bridon 2013-09-23 12:58:27 EDT
Created attachment 801792 [details]
File: dso_list
Comment 5 Mathieu Bridon 2013-09-23 12:58:30 EDT
Created attachment 801793 [details]
File: environ
Comment 6 Mathieu Bridon 2013-09-23 12:58:33 EDT
Created attachment 801794 [details]
File: limits
Comment 7 Mathieu Bridon 2013-09-23 12:58:37 EDT
Created attachment 801795 [details]
File: maps
Comment 8 Mathieu Bridon 2013-09-23 12:58:41 EDT
Created attachment 801796 [details]
File: open_fds
Comment 9 Mathieu Bridon 2013-09-23 12:58:45 EDT
Created attachment 801797 [details]
File: proc_pid_status
Comment 10 Fedora End Of Life 2015-05-29 05:26:40 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-06-29 08:26:43 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.